.w100 {width:100%;}
.red {color:red;}
.orange {color:orange;}
.white {color:#fff !important;}
.bg-red {background-color:#d9534f;}
.bg_red {background-color:#ff0000;color:#ffffff;}
.bg-gray {background-color:#7f7f7f !important;color:#ffffff  !important;}
.bg-light-gray {background-color:#e0e0e0;}
.float-rigth {float:right;}
.float-left{float:left;}
.nowr {white-space: nowrap;}
.notactive td {background-color:#ddd !important;}
.deleted , .deleted td {background-color:#d9534f !important;color:#fff !important;}
.disabled {background-color:#f7f7f7;}
.error{
	border-color:#ff0000;
	background-color:#ffdddd;
}
.deleted td {color:#777777;}
.new td {font-weight:bold;}
.scroll {max-height:400px;overflow-y:auto;}
.dropdown-toggle.error {
  border-color:#ff0000;
  background-color:#ffdddd;
}



/* Pole typu input dla nr protoko�u zbiornika */

#table-wsh-form input, .mw200 {min-width:200px !important;}

/* preloader for modals */

.bounceball {
  position: relative;
  display: inline-block;
  height: 37px;
  width: 15px;
  
  margin-right:30px;
}
.bounceball:before {
  position: absolute;
  content: '';
  display: block;
  top: 0;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: #3d81a2;
  -webkit-transform-origin: 50%;
          transform-origin: 50%;
  -webkit-animation: bounce 500ms alternate infinite ease;
          animation: bounce 500ms alternate infinite ease;
}

@-webkit-keyframes bounce {
  0% {
    top: 30px;
    height: 5px;
    border-radius: 60px 60px 20px 20px;
    -webkit-transform: scaleX(2);
            transform: scaleX(2);
  }
  35% {
    height: 15px;
    border-radius: 50%;
    -webkit-transform: scaleX(1);
            transform: scaleX(1);
  }
  100% {
    top: 0;
  }
}

@keyframes bounce {
  0% {
    top: 30px;
    height: 5px;
    border-radius: 60px 60px 20px 20px;
    -webkit-transform: scaleX(2);
            transform: scaleX(2);
  }
  35% {
    height: 15px;
    border-radius: 50%;
    -webkit-transform: scaleX(1);
            transform: scaleX(1);
  }
  100% {
    top: 0;
  }
}

/*.bg-gray {background-color:#7f7f7f !important;color:#ffffff  !important;}*/

.table-striped>tbody>tr.bg-gray>td,
.table-striped>tbody>tr.bg-gray>th {
  background-color:#7f7f7f;
  color:#ffffff;
}

.table-striped>tbody>tr.bg-gray:hover>td,
.table-striped>tbody>tr.bg-gray:hover>th {
  background-color: #9f9f9f;
}

tbody > tr.bg-gray > * {
  color: #fff;
}

/* Drukowanie */
@media print {
  * {
    visibility: hidden;
  }

  #printing-area,
  #printing-area * {
    visibility: visible;
  }

  #printing-area .btn {
    visibility: hidden;
  }

  #printing-area {
    position: absolute;
    left: 0;
    top: 0;
  }
}